<?php

/**
 * @file
 * Hooks related to Status Dashboard Client.
 */

/**
 * @addtogroup hooks
 * @{
 */

/**
 * Alters the json response sent from status_dashboard_client.check.
 *
 * @param array $json_response
 *   The array of data currently in the json response.
 * @param array $projects_data
 *   The array of project data calculated by the module.
 */
function hook_status_dashboard_json_response_alter(array &$json_response, array $projects_data) {
  // Add the server php version to the response.
  $json_response['php_version'] = phpversion();
}

/**
 * @} End of "addtogroup hooks".
 */
